# template: foreman_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_inventory_upload
%global plugin_name inventory_upload
%global foreman_min_version 1.20

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.0.2
Release: 0.1%{?foremandist}%{?dist}
Summary: Adds ability to upload hosts managed in Foreman to Red Hat cloud inventory
Group: Applications/Systems
License: GPLv3
URL: https://github.com/theforeman/foreman_inventory_upload
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_6_Source_Files/node-modules-%{gem_name}-%{version}.tar.gz

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(katello)
Requires: %{?scl_prefix}rubygem(redhat_access)
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
BuildRequires: %{?scl_prefix}rubygem(katello)
BuildRequires: %{?scl_prefix}rubygem(redhat_access)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies


%description
Foreman plugin that process & upload data to cloud based host inventory.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

tar -zxf %{SOURCE1}
find node_modules -type f -perm /u+x,g+x,o+x -exec chmod -x '{}' \;
mv node_modules/ %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_instdir}/package.json
%exclude %{gem_instdir}/webpack
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_webpack_plugin}
%exclude %{gem_dir}/node_modules
%{foreman_webpack_foreman}
%exclude %{foreman_assets_plugin}/%{gem_name}.json
%{foreman_assets_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_restart}
exit 0

%changelog
* Thu Dec 05 2019 Evgeni Golov 1.0.2-0.1
- Backport build for Satellite 6.6

* Thu Dec 05 2019 Shimon Shtein <sshtein@redhat.com> 1.0.2-1
- Update to 1.0.2-1

* Wed Nov 27 2019 Shimon Shtein <sshtein@redhat.com> 1.0.1-1
- Update to 1.0.1-1

* Wed Nov 20 2019 Shimon Shtein <sshtein@redhat.com> 1.0.0-1
- Update to 1.0.0-1

* Tue Oct 22 2019 Eric D. Helms <ericdhelms@gmail.com> - 1.0.0.beta7-2
- Rebuild for SCL nodejs

* Thu Oct 10 2019 Shimon Shtein <sshtein@redhat.com> 1.0.0.beta7-1
- Update to 1.0.0.beta7-1

* Tue Sep 10 2019 Shimon Shtein <sshtein@redhat.com> 1.0.0.beta4-1
- Update to 1.0.0.beta4-1

* Mon Aug 26 2019 Shimon Shtein <sshtein@redhat.com> 1.0.0.beta1-1
- Update to 1.0.0.beta1-1

* Thu Aug 15 2019 Shimon Shtein <sshtein@redhat.com> 0.0.1.dev1-1
- Add rubygem-foreman_inventory_upload generated by gem2rpm using the foreman_plugin template
